Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_UserException Class Reference

User exceptions are those defined by application developers using OMG-IDL. More...

`#include <Exception.h>`

Inheritance diagram for CORBA_UserException

[legend]
Collaboration diagram for CORBA_UserException:

[legend]
List of all members.

## Public Methods
| CORBA_UserException (const CORBA_UserException &src)
| Copy constructor.
| ~CORBA_UserException (void)
| Destructor.
CORBA_UserException& | operator= (const CORBA_UserException &src)
| Assignment operator.
| CORBA_UserException (const char* repository_id)
| Constructor from a repository id.
virtual int | _is_a (const char *interface_id) const
virtual ACE_CString | _info (void) const
| Returns a string containing information about the exception. This function is not CORBA compliant.
| CORBA_UserException (void)
| Default constructor.
## Static Public Methods
CORBA_UserException* | _downcast (CORBA_Exception *exception)
| The narrow operation.

## Detailed Description

User exceptions are those defined by application developers using OMG-IDL.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_UserException::CORBA_UserException ( | const CORBA_UserException & src )

| Copy constructor.

CORBA_UserException::~CORBA_UserException ( | void )

| Destructor.

CORBA_UserException::CORBA_UserException ( | const char * repository_id )

| Constructor from a repository id.

CORBA_UserException::CORBA_UserException ( | void )

| Default constructor.

## Member Function Documentation

CORBA_UserException * CORBA_UserException::_downcast ( | CORBA_Exception * ex )`[static]`

| The narrow operation. Reimplemented from CORBA_Exception. Reimplemented in CORBA_ORB::InvalidName, CORBA_TypeCode::Bounds, and CORBA_TypeCode::BadKind.

ACE_CString CORBA_UserException::_info ( | void ) const`[virtual]`

| Returns a string containing information about the exception. This function is not CORBA compliant. Reimplemented from CORBA_Exception.

int CORBA_UserException::_is_a ( | const char * interface_id ) const`[virtual]`

| Reimplemented from CORBA_Exception. Reimplemented in CORBA_TypeCode::Bounds, and CORBA_TypeCode::BadKind.

CORBA_UserException & CORBA_UserException::operator= ( | const CORBA_UserException & src )

| Assignment operator.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp
- Exception.i